グラフAPIバージョン

Instagram Business Asset Agencies

読み取り

Returns the Businesses and Agencies that have permissions on the Instagram Business Asset

Requirements

  • The business_management permission for the business that owns the Instagram Business Asset

Graph API Explorer
GET /v25.0/{instagram-business-asset-id}/agencies HTTP/1.1
Host: graph.facebook.com
/* PHP SDK v5.0.0 */
/* make the API call */
try {
  // Returns a `Facebook\FacebookResponse` object
  $response = $fb->get(
    '/{instagram-business-asset-id}/agencies',
    '{access-token}'
  );
} catch(Facebook\Exceptions\FacebookResponseException $e) {
  echo 'Graph returned an error: ' . $e->getMessage();
  exit;
} catch(Facebook\Exceptions\FacebookSDKException $e) {
  echo 'Facebook SDK returned an error: ' . $e->getMessage();
  exit;
}
$graphNode = $response->getGraphNode();
/* handle the result */
/* make the API call */
FB.api(
    "/{instagram-business-asset-id}/agencies",
    function (response) {
      if (response && !response.error) {
        /* handle the result */
      }
    }
);
/* make the API call */
new GraphRequest(
    AccessToken.getCurrentAccessToken(),
    "/{instagram-business-asset-id}/agencies",
    null,
    HttpMethod.GET,
    new GraphRequest.Callback() {
        public void onCompleted(GraphResponse response) {
            /* handle the result */
        }
    }
).executeAsync();
/* make the API call */
FBSDKGraphRequest *request = [[FBSDKGraphRequest alloc]
                               initWithGraphPath:@"/{instagram-business-asset-id}/agencies"
                                      parameters:params
                                      HTTPMethod:@"GET"];
[request startWithCompletionHandler:^(FBSDKGraphRequestConnection *connection,
                                      id result,
                                      NSError *error) {
    // Handle the result
}];
グラフAPIを使用する方法については、グラフAPIの使用ガイドをご覧ください。

パラメーター

このエンドポイントにはパラメーターがありません。

項目

このエッジからの読み込むではJSONフォーマットの結果が返されます:

{ "data": [], "paging": {} }

data

Businessノードの一覧です。

paging

ページネ―ションについて詳しくは、グラフAPIガイドをご覧ください。

作成

Giving an agency access to an Instagram business asset lets them work on tasks you assign to them, including using APIs to manage tasks. The Instagram business asset will remain in your portfolio.

agenciesのエッジにPOSTリクエストを以下のパスで送信できます:
When posting to this edge, no Graph object will be created.

パラメーター

パラメーター説明
business
numeric string

The business ID of the agency that you want to assign to this Instagram Business Asset

必須
permitted_tasks
array<enum {CONTENT, MESSAGES, COMMUNITY_ACTIVITY, ADVERTISE, ANALYZE}>

Tasks that you want to assign to the agency

必須

戻り値の型

This endpoint supports read-after-write and will read the node to which you POSTed.
Struct {
success: bool,
}

エラーコード

エラー詳細
100Invalid parameter

更新中…

このエンドポイントではこの操作を実行できません。

削除中です

You can dissociate a Business from an InstagramBusinessAsset by making a DELETE request to /{instagram_business_asset_id}/agencies.

パラメーター

パラメーター説明
business
numeric string

The business ID of the agency that you want to revoke access for the Instagram Business Asset

必須

戻り値の型

Struct {
success: bool,
}